## org.apache.lucene.analysis.fr
Class FrenchStemFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.fr.FrenchStemFilter

All Implemented Interfaces:
  Closeable

Deprecated. Use `SnowballFilter` with `FrenchStemmer` instead, which has the same functionality. This filter will be removed in Lucene 5.0

    @Deprecated
    public final class FrenchStemFilter

extends org.apache.lucene.analysis.TokenFilter

A `TokenFilter` that stems french words.

The used stemmer can be changed at runtime after the filter object is created (as long as it is a `FrenchStemmer`).

To prevent terms from being stemmed use an instance of `KeywordMarkerFilter` or a custom `TokenFilter` that sets the `KeywordAttribute` before this `TokenStream`.

See Also:
  `KeywordMarkerFilter`

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`FrenchStemFilter(org.apache.lucene.analysis.TokenStream in)` Deprecated.
`FrenchStemFilter(org.apache.lucene.analysis.TokenStream in, Set<?> exclusiontable)` Deprecated. use `KeywordAttribute` with `KeywordMarkerFilter` instead.

Method Summary
`boolean` `incrementToken()` Deprecated.
`void` `setExclusionTable(Map<?,?> exclusiontable)` Deprecated. use `KeywordAttribute` with `KeywordMarkerFilter` instead.
`void` `setStemmer(FrenchStemmer stemmer)` Deprecated. Set a alternative/custom `FrenchStemmer` for this filter.

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end, reset`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FrenchStemFilter

    public FrenchStemFilter(org.apache.lucene.analysis.TokenStream in)

  Deprecated.

### FrenchStemFilter

    @Deprecated
    public FrenchStemFilter(org.apache.lucene.analysis.TokenStream in,
                                       Set<?> exclusiontable)

  Deprecated. use `KeywordAttribute` with `KeywordMarkerFilter` instead.

  Parameters:
    `in` - the `TokenStream` to filter
    `exclusiontable` - a set of terms not to be stemmed

Method Detail

### incrementToken

    public boolean incrementToken()
                           throws IOException

  Deprecated.
  Specified by:
    `incrementToken` in class `org.apache.lucene.analysis.TokenStream`
  Returns:
    Returns true for the next token in the stream, or false at EOS
  Throws:
    `IOException`

### setStemmer

    public void setStemmer(FrenchStemmer stemmer)

  Deprecated.
  Set a alternative/custom `FrenchStemmer` for this filter.

### setExclusionTable

    @Deprecated
    public void setExclusionTable(Map<?,?> exclusiontable)

  Deprecated. use `KeywordAttribute` with `KeywordMarkerFilter` instead.

  Set an alternative exclusion list for this filter.